Subject: Re: [PATCH 0/7] guilt patches, including git 1.8 support

From: Per Cederqvist <[email-masked]>
Date: Sun, 20 Jan 2013 22:19:39 +0100

On 01/16/13 03:26, Jonathan Nieder wrote:
> Hi Jeff and other guilty parties,
>
> I collected all the guilt patches I could find on-list and added one
> of my own.  Completely untested, except for running the regression
> tests.  These are also available via git protocol from
>
>    git://repo.or.cz/guilt/mob.git mob
>
> Thoughts?

Regarding the "Change git branch when patches are applied" feature,
it has saved me a number of times since I implemented it. I've been
using it extensively, and have not had any problems with it.

Nevertheless, for backwards compatibility with the currently
released guilt version I think it should be conditional, and
disabled per default for one full release cycle.  I've implemented
this. My code is available from git://repo.or.cz/guilt/ceder.git

The following commits are not included in your list:

a194375 Added guilt.reusebranch configuration option.
1dd97bd Minor testsuite fix.
640caee The tests should not fail if guilt.diffstat is set.

I don't want Guilt to fork. Jeff, it would be really great if
you could set up a public repo again!

     /ceder

> Jonathan Nieder (1):
>    Drop unneeded git version check.
>
> Per Cederqvist (6):
>    get rid of "cat: write error: Broken pipe" error message
>    The tests should not fail if log.date or log.decorate are set.
>    Testsuite: get rid of "Broken pipe" errors from yes.
>    Handle empty patches and patches with only a header.
>    Fix fatal "guilt graph" error in sha1sum invocation.
>    Change git branch when patches are applied.
>
>   Documentation/guilt.7 |   4 +
>   guilt                 |  73 +++++---
>   guilt-branch          |  12 +-
>   guilt-commit          |   7 +
>   guilt-import-commit   |   4 +-
>   guilt-repair          |   7 +-
>   os.Darwin             |   7 +-
>   os.Linux              |   7 +-
>   os.SunOS              |   7 +-
>   regression/scaffold   |   7 +-
>   regression/t-029.sh   |   6 +-
>   regression/t-052.out  |  24 +--
>   regression/t-052.sh   |   7 +-
>   regression/t-061.out  | 468 ++++++++++++++++++++++++++++++++++++++++++++++++++
>   regression/t-061.sh   | 148 ++++++++++++++++
>   15 files changed, 743 insertions(+), 45 deletions(-)
>   create mode 100644 regression/t-061.out
>   create mode 100755 regression/t-061.sh
>